#!/bin/sh

USAGE="Usage: $0 <input file> <output AVI file>"

if [ "$*" = "-h" -o "moo$*" = "moo" ]; then
  echo "${USAGE}"
  exit 1
fi

BITRATE="300"
IFILE="$1"
# Output file should have a .avi suffix
OFILE="$2"
SCALE="qntsc"

# Syntax check
if [ "moo${IFILE}" = "moo" -o "moo${OFILE}" = "moo" ]; then
  echo "You need to supply an output filename."
  echo "${USAGE}"
  exit 1
fi

echo "Encoding pass 1"
mencoder -oac lavc -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=${BITRATE}:vpass=1 $IFILE -o $OFILE -vf scale=::::::${SCALE} -ffourcc XVID
echo "Encoding pass 2"
mencoder -oac lavc -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=${BITRATE}:vpass=2 $IFILE -o $OFILE -vf scale=::::::${SCALE} -ffourcc XVID
 
