#!/bin/sh
# mp4resample-mp3.sh
# Lex, 09-Dec-05
#
# This script processes a video file, copying the video stream and
# resampling the audio to 32000 Hz mpeg1 layer3.  The output file will be the
# name of the input file with a '.out' extension.
#
# Versions:
# 11-Dec-05: Copied from mp4resample.sh and edited a little.

# Output sampling rate
SR="32000"
# Output bitrate
ABR="64"
# Suffix to add to the output filename
TR="-32000"

FILE="$1"
# Get the '.' suffix of the file
SUFFIX="${1##*\.}"
BFILE="`basename $FILE`"
# Isolate the bit before the '.' and add '-out'
OFILE="${BFILE%%.*}${TR}.${SUFFIX}"

if [ "moo${FILE}" = "moo" -o "${FILE:0:1}" = "-" ]; then
  echo "Usage: $0 <input movie file>"
  echo "Environment variables:"
  echo "MENCODEROPTS = extra mencoder options"
  exit 1
fi

mencoder ${FILE} -ovc copy -oac lavc -lavcopts acodec=mp3:abitrate=${ABR} \
 -af resample=${SR} -srate ${SR} -o ${OFILE} ${MENCODEROPTS}

echo "Wrote output to ${OFILE}"
