#!/bin/sh
# mp4resample.sh
# Lex, 09-Dec-05
#
# This script processes a video file, copying the video stream and
# resampling the audio to 22050 Hz mp2.  The output file will be the name
# of the input file with a '.out' extension.
#
# Versions:
# 09-Dec-05: Version 1
# 11-Dec-05: Added audio options to encode to mp2 - before, it was encoding
# to mp3.  Output file does 'basename' to output to the current directory.

# Output sampling rate
SR="22050"
# Output bitrate
ABR="32"
# Suffix to add to the output filename
TR="-22050"

FILE="$1"
# Get the '.' suffix of the file
SUFFIX="${1##*\.}"
BFILE="`basename $FILE`"
# Isolate the bit before the '.' and add '-out'
OFILE="${BFILE%%.*}${TR}.${SUFFIX}"

if [ "moo${FILE}" = "moo" -o "${FILE:0:1}" = "-" ]; then
  echo "Usage: $0 <input movie file>"
  echo "Environment variables:"
  echo "MENCODEROPTS = extra mencoder options"
  exit 1
fi

mencoder ${FILE} -ovc copy -oac lavc -lavcopts acodec=mp2:abitrate=${ABR} \
 -af resample=${SR} -srate ${SR} -o ${OFILE} ${MENCODEROPTS}

echo "Wrote output to ${OFILE}"
